Namespaces | Functions
XMLTreeNode.cpp File Reference
`#include <algorithm>`
`#include <cassert>`
`#include <deque>`
`#include "libebook_utils.h"`
`#include "XMLTreeNode.h"`

## Namespaces
namespace | libebook

## Functions
bool | libebook::operator== (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | libebook::operator!= (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | libebook::caselessEqual (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | libebook::operator== (const XMLTreeNode::AttributeData &lhs, const XMLTreeNode::AttributeData &rhs)
bool | libebook::operator!= (const XMLTreeNode::AttributeData &lhs, const XMLTreeNode::AttributeData &rhs)
bool | libebook::operator== (const XMLTreeNode::ElementData &lhs, const XMLTreeNode::ElementData &rhs)
bool | libebook::operator!= (const XMLTreeNode::ElementData &lhs, const XMLTreeNode::ElementData &rhs)
void | libebook::intrusive_ptr_add_ref (XMLTreeNode *const p)
void | libebook::intrusive_ptr_release (XMLTreeNode *const p)

## Variable Documentation

## ◆ m_qname

const XMLTreeNode::QName& m_qname
| private